package cn.com.tenlion.systembase.pojo.pos.linecase;

/**
 *
 * @ClassName: LineCasePO
 * @Description: 涉及线、路案（事）件
 * @Author: CodeFactory
 * @Date: 2021-10-13 14:58:15
 * @Version: 3.0
 **/
public class LineCasePO {

    private String lineCaseId;
    private String caseCode;
    private String caseName;
    private String happenTime;
    private String happenAddress;
    private String caseNature;
    private String caseNatureName;
    private String caseNatureCode;
    private String caseSituation;
    private String principalCardCode;
    private String principalCardCodeName;
    private String principalCardCodeCode;
    private String principalCardNum;
    private String principalName;
    private Integer isSolve;
    private Integer crimeCount;
    private Integer atLargeCount;
    private Integer arrestCount;
    private String caseSolve;

    public String getLineCaseId() {
        return lineCaseId == null ? "" : lineCaseId.trim();
    }

    public void setLineCaseId(String lineCaseId) {
        this.lineCaseId = lineCaseId;
    }

    public String getCaseCode() {
        return caseCode == null ? "" : caseCode.trim();
    }

    public void setCaseCode(String caseCode) {
        this.caseCode = caseCode;
    }

    public String getCaseName() {
        return caseName == null ? "" : caseName.trim();
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getHappenTime() {
        return happenTime == null ? "" : happenTime.trim();
    }

    public void setHappenTime(String happenTime) {
        this.happenTime = happenTime;
    }

    public String getHappenAddress() {
        return happenAddress == null ? "" : happenAddress.trim();
    }

    public void setHappenAddress(String happenAddress) {
        this.happenAddress = happenAddress;
    }

    public String getCaseNature() {
        return caseNature == null ? "" : caseNature.trim();
    }

    public void setCaseNature(String caseNature) {
        this.caseNature = caseNature;
    }

    public String getCaseNatureName() {
        return caseNatureName == null ? "" : caseNatureName.trim();
    }

    public void setCaseNatureName(String caseNatureName) {
        this.caseNatureName = caseNatureName;
    }

    public String getCaseNatureCode() {
        return caseNatureCode == null ? "" : caseNatureCode.trim();
    }

    public void setCaseNatureCode(String caseNatureCode) {
        this.caseNatureCode = caseNatureCode;
    }

    public String getCaseSituation() {
        return caseSituation == null ? "" : caseSituation.trim();
    }

    public void setCaseSituation(String caseSituation) {
        this.caseSituation = caseSituation;
    }

    public String getPrincipalCardCode() {
        return principalCardCode == null ? "" : principalCardCode.trim();
    }

    public void setPrincipalCardCode(String principalCardCode) {
        this.principalCardCode = principalCardCode;
    }

    public String getPrincipalCardCodeName() {
        return principalCardCodeName == null ? "" : principalCardCodeName.trim();
    }

    public void setPrincipalCardCodeName(String principalCardCodeName) {
        this.principalCardCodeName = principalCardCodeName;
    }

    public String getPrincipalCardCodeCode() {
        return principalCardCodeCode == null ? "" : principalCardCodeCode.trim();
    }

    public void setPrincipalCardCodeCode(String principalCardCodeCode) {
        this.principalCardCodeCode = principalCardCodeCode;
    }

    public String getPrincipalCardNum() {
        return principalCardNum == null ? "" : principalCardNum.trim();
    }

    public void setPrincipalCardNum(String principalCardNum) {
        this.principalCardNum = principalCardNum;
    }

    public String getPrincipalName() {
        return principalName == null ? "" : principalName.trim();
    }

    public void setPrincipalName(String principalName) {
        this.principalName = principalName;
    }

    public Integer getIsSolve() {
        return isSolve == null ? 0 : isSolve;
    }

    public void setIsSolve(Integer isSolve) {
        this.isSolve = isSolve;
    }

    public Integer getCrimeCount() {
        return crimeCount == null ? 0 : crimeCount;
    }

    public void setCrimeCount(Integer crimeCount) {
        this.crimeCount = crimeCount;
    }

    public Integer getAtLargeCount() {
        return atLargeCount == null ? 0 : atLargeCount;
    }

    public void setAtLargeCount(Integer atLargeCount) {
        this.atLargeCount = atLargeCount;
    }

    public Integer getArrestCount() {
        return arrestCount == null ? 0 : arrestCount;
    }

    public void setArrestCount(Integer arrestCount) {
        this.arrestCount = arrestCount;
    }

    public String getCaseSolve() {
        return caseSolve == null ? "" : caseSolve.trim();
    }

    public void setCaseSolve(String caseSolve) {
        this.caseSolve = caseSolve;
    }

}
